curl --request GET \
--url https://api.daily.co/v1/list-available-numbers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.daily.co/v1/list-available-numbers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.daily.co/v1/list-available-numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_count": 6,
"data": [
{
"phoneNumber": "+13058700061",
"region": "FL"
},
{
"phoneNumber": "+13058700062",
"region": "FL"
},
{
"phoneNumber": "+13058700063",
"region": "FL"
},
{
"phoneNumber": "+13058700064",
"region": "FL"
},
{
"phoneNumber": "+13058700065",
"region": "FL"
},
{
"phoneNumber": "+13058700066",
"region": "FL"
}
]
}{
"error": "validation-error",
"info": "invalid path parameter"
}{
"error": "vendor-unavailable",
"info": "Phone number unavailable"
}List Available Numbers
Search for available phone numbers to purchase
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
An areacode to search within.
A region or state to search within. Must be an ISO 3166-2 alpha-2 code, i.e. CA for California. Cannot be used in combination with areacode.
A specific City to search within. Example, New York. The string must be url encoded because it is a url parameter. Must be used in combination with region. Cannot be used in combination with areacode, starts_with, contains, or ends_with.
A string of 3 to 7 digits that should appear somewhere in the number.
A string of 3 to 7 digits that should be used as the start of a number. Cannot be used in combination with contains or ends_with.
A string of 3 to 7 digits that should be used as the end of a number. Cannot be used in combination with starts_with or contains.
Response
200